GET /virtualservice/{uuid}/csrfmetrics/
/virtualservice/{uuid}/csrfmetrics/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"action_verify_executed": 0,
"bypassed": 0,
"label_matched_requests": 0,
"passed": 0,
"requests": 0,
"verify_cookie_failed": 0,
"verify_origin_failed": 0,
"verify_token_failed": 0
}
Number of requests for which VERIFY_CSRF_TOKEN (or VERIFY_ORIGIN_AND_CSRF_TOKEN) action was executed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of requests for which CSRF protection was bypassed. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of requests for which a CSRF rule matched on label. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of requests for which csrf check passed. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of requests for which the CSRF policy was run. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of requests for which the cookie validation failed. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of requests for which the origin validation failed. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of requests for which the token validation failed. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/virtualservice/{uuid}/csrfmetrics